/*
 * display.h
 *
 *  Created on: May 31, 2017
 *      Author: wn
 */

#ifndef DISPLAY_H_
#define DISPLAY_H_


#include "timer.h"
#include "stm32f1xx_hal.h"


typedef struct {
  uint8_t toggle;
  uint8_t setModeTemperature;
  uint8_t setModeTime;
  tTimerState timerState;
  uint8_t toggleModeState;
  uint32_t targetTemperature;
  uint32_t currentTemperature;
  uint32_t targetTime;
  uint32_t currentTime;
  uint32_t overrunTime;
} tDisplay;

void updateDisplay(void *handle);
void displayToggleSetMode();
void displayDecValue();
void displayIncValue();


#endif /* DISPLAY_H_ */
